package com.mortals.xhx.module.matter.service.impl;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.xhx.module.matter.dao.MatterDatumFileDao;
import com.mortals.xhx.module.matter.model.MatterDatumFileEntity;
import com.mortals.xhx.module.matter.service.MatterDatumFileService;

import javax.naming.Context;
import java.util.HashMap;
import java.util.Map;

/**
* MatterDatumFileService
* 材料附件 service实现
*
* @author zxfei
* @date 2022-01-12
*/
@Service("matterDatumFileService")
public class MatterDatumFileServiceImpl extends AbstractCRUDServiceImpl<MatterDatumFileDao, MatterDatumFileEntity, Long> implements MatterDatumFileService {

    @Override
    public void deleteFileByDatumId(Long datumId, Context context) {
        Map<String, Object> condition = new HashMap<>();
        condition.put("datumId", datumId);
        this.dao.delete(condition);
    }
}